| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class CONSTANT_NameAndType_info

    java.lang.Object
      |
      +--CPInfo
            |
            +--CONSTANT_NameAndType_info

public class CONSTANT_NameAndType_info
extends CPInfo

Field Summary
`private short` | `descriptor_index`
`private short` | `name_index`

Fields inherited from class CPInfo
``

Constructor Summary
`CONSTANT_NameAndType_info()`

Method Summary
`void` | `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` | `get_descriptor_index()`
`short` | `get_name_index()`
`void` | `set_descriptor_index(short t)`
`void` | `set_name_index(short t)`

Methods inherited from class CPInfo
`get_tag, set_tag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name_index

    private short name_index

### descriptor_index

    private short descriptor_index

Constructor Detail

### CONSTANT_NameAndType_info

    public CONSTANT_NameAndType_info()

Method Detail

### get_name_index

    public short get_name_index()

### get_descriptor_index

    public short get_descriptor_index()

### set_name_index

    public void set_name_index(short t)

### set_descriptor_index

    public void set_descriptor_index(short t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)

  Specified by:
    `codegen` in class `CPInfo`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD